Skip to main content
GET
/
v1
/
countries
curl -X GET https://api.gmproxys.com/v1/countries \
  -H "X-API-Key: gm_SUA_CHAVE" \
  -H "Content-Type: application/json" \
  -d '{ "type": "residential" }'
const response = await fetch("https://api.gmproxys.com/v1/countries", {
  method: "GET",
  headers: {
    "X-API-Key": "gm_SUA_CHAVE",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({ type: "residential" }),
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.gmproxys.com/v1/countries",
    headers={
        "X-API-Key": "gm_SUA_CHAVE",
        "Content-Type": "application/json",
    },
    json={"type": "residential"},
)

print(response.json())
[
  {
    "code": "us",
    "name": "United States",
    "count": 100471
  },
  {
    "code": "vn",
    "name": "Vietnam",
    "count": 41893
  },
  {
    "code": "gb",
    "name": "United Kingdom",
    "count": 21637
  },
  {
    "code": "br",
    "name": "Brazil",
    "count": 12065
  }
]
{
  "success": false,
  "message": "Invalid API token."
}
Retorna a lista de países disponíveis para o tipo de proxy informado, junto com a quantidade de IPs em cada um.

Headers

X-API-Key
string
required
Sua chave de API no formato gm_SUA_CHAVE.

Body

type
string
required
Tipo do proxy. Valores aceitos: datacenter ou residential.

Resposta

Array de objetos com os países disponíveis.
code
string
Código ISO do país (ex.: us, br).
name
string
Nome do país.
count
integer
Quantidade de IPs disponíveis no país.
curl -X GET https://api.gmproxys.com/v1/countries \
  -H "X-API-Key: gm_SUA_CHAVE" \
  -H "Content-Type: application/json" \
  -d '{ "type": "residential" }'
const response = await fetch("https://api.gmproxys.com/v1/countries", {
  method: "GET",
  headers: {
    "X-API-Key": "gm_SUA_CHAVE",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({ type: "residential" }),
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.gmproxys.com/v1/countries",
    headers={
        "X-API-Key": "gm_SUA_CHAVE",
        "Content-Type": "application/json",
    },
    json={"type": "residential"},
)

print(response.json())
[
  {
    "code": "us",
    "name": "United States",
    "count": 100471
  },
  {
    "code": "vn",
    "name": "Vietnam",
    "count": 41893
  },
  {
    "code": "gb",
    "name": "United Kingdom",
    "count": 21637
  },
  {
    "code": "br",
    "name": "Brazil",
    "count": 12065
  }
]
{
  "success": false,
  "message": "Invalid API token."
}